Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid
Class EditorGridPanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.BoxComponent
                      com.gwtext.client.widgets.Container
                          com.gwtext.client.widgets.Panel
                              com.gwtext.client.widgets.grid.GridPanel
                                  com.gwtext.client.widgets.grid.EditorGridPanel

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasWidgets, Observable, java.lang.Iterable

Direct Known Subclasses:
  PropertyGridPanel

    public class EditorGridPanel

extends GridPanel

Class for creating and editable grid.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`EditorGridPanel()`
`EditorGridPanel(com.google.gwt.core.client.JavaScriptObject jsObj)`
`EditorGridPanel(Store store, ColumnModel columnModel)` Creates a new Editor Grid.
`EditorGridPanel(java.lang.String id, int width, int height, Store store, ColumnModel columnModel)` Creates a new Editor Grid.

Method Summary
`void` | `addEditorGridListener(EditorGridListener listener)` Add an EditorGridPanel listener.
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject configJS)`
`CellSelectionModel` | `getCellSelectionModel()` Returns the grid's cell selection model
`protected com.google.gwt.core.client.JavaScriptObject` | `getConfigPrototype()`
`java.lang.String` | `getXType()` Gets the xtype for this component as registered with ComponentMgr.
`void` | `setAutoEncode(boolean autoEncode)` True to automatically HTML encode and decode values pre and post edit (defaults to false)
`void` | `setClicksToEdit(int clicksToEdit)` The number of clicks on a cell required to display the cell's editor (defaults to 2).
`void` | `startEditing(int rowIndex, int colIndex)` Starts editing the specified for the specified row/column.
`void` | `stopEditing()` Stops any active editing.

Methods inherited from class com.gwtext.client.widgets.grid.GridPanel
`addGridCellListener, addGridColumnListener, addGridHeaderListener, addGridListener, addGridMouseListener, addGridRowListener, clearSortState, getColumnModel, getDragDropText, getSelectionModel, getSelectionModelAsJavaScriptObject, getStore, getView, hideColumn, hideColumn, hideColumnHeader, initComponent, reconfigure, render, setAutoExpandColumn, setAutoExpandColumn, setAutoExpandMax, setAutoExpandMin, setAutoHeight, setColumnModel, setDdGroup, setDisableSelection, setDragDropText, setEnableColumnHide, setEnableColumnMove, setEnableColumnResize, setEnableDragDrop, setEnableHdMenu, setHideColumnHeader, setLoadMask, setLoadMask, setLoadMask, setMaxRowsToMeasure, setMinColumnWidth, setMonitorWindowResize, setSelectionModel, setStore, setStripeRows, setTrackMouseOver, setView, showColumn, showColumn, stripeRows`

Methods inherited from class com.gwtext.client.widgets.Panel
`addButton, addListener, addTool, collapse, collapse, expand, expand, getBaseCls, getBody, getBodyStyle, getBodyWrap, getBottomToolbar, getCollapsedCls, getCollapseFirst, getFloating, getFooter, getFrameHeight, getFrameWidth, getHeader, getHtml, getIconCls, getInnerHeight, getInnerWidth, getMinButtonWidth, getShadowOffset, getTabCls, getTitle, getTopToolbar, getUpdateManager, isAnimCollapse, isAutoScroll, isBodyBorder, isBorder, isClosable, isCollapsed, isCollapsible, isFrame, isHeader, isHeaderAsText, isHideCollapseTool, isMaskDisabled, isShadow, isShim, isTitleCollapse, load, load, setAnimCollapse, setAutoLoad, setAutoLoad, setAutoScroll, setBaseCls, setBodyBorder, setBodyStyle, setBorder, setBottomToolbar, setBottomToolbar, setBottomToolbar, setButtonAlign, setButtons, setClosable, setCollapsed, setCollapsedCls, setCollapseFirst, setCollapsible, setContentEl, setDraggable, setFloating, setFooter, setFrame, setHeader, setHeaderAsText, setHideCollapseTool, setHtml, setIconCls, setMargins, setMargins, setMaskDisabled, setMinButtonWidth, setPaddings, setPaddings, setShadow, setShadow, setShadowOffset, setShim, setTabCls, setTitle, setTitle, setTitleCollapse, setTools, setTopToolbar, setTopToolbar, setTopToolbar, toggleCollapse, toggleCollapse`

Methods inherited from class com.gwtext.client.widgets.Container
`add, add, add, add, addListener, bubble, cascade, clear, doLayout, doLayout, findBy, findByID, findByType, getActiveItem, getActiveItemID, getAutoDestroy, getBufferResize, getComponent, getComponent, getComponents, getHideBorders, getItems, getLayout, getMonitorResize, insert, iterator, remove, remove, remove, remove, removeAll, removeAll, setActiveItem, setActiveItemID, setAutoDestroy, setBufferResize, setDefaults, setHideBorders, setLayout, setMonitorResize`

Methods inherited from class com.gwtext.client.widgets.BoxComponent
`addListener, doOnRender, doOnRender, getAutoHeight, getAutoWidth, getBox, getBox, getHeight, getPosition, getPosition, getSize, getWidth, setAutoWidth, setHeight, setHeight, setPagePosition, setPosition, setSize, setSize, setWidth, setWidth, syncSize, updateBox`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, afterRender, beforeDestroy, check, checkExtVer, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getCls, getComponentJS, getConfig, getConfigAsString, getCtCls, getDisabledClass, getEl, getElement, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getXTypes, hashCode, hide, isCreated, isDisabled, isHidden, isRendered, isVisible, isXType, isXType, onDestroy, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCls, setCtCls, setDisabled, setDisabledClass, setEl, setEl, setElement, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setVisible, show, suspendEvents, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, setElement, setPixelSize, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditorGridPanel

    public EditorGridPanel()

### EditorGridPanel

    public EditorGridPanel(Store store,
                           ColumnModel columnModel)

  Creates a new Editor Grid.

  Parameters:
    `store` - the Grid's data store
    `columnModel` - the Grids column model

### EditorGridPanel

    public EditorGridPanel(com.google.gwt.core.client.JavaScriptObject jsObj)

### EditorGridPanel

    public EditorGridPanel(java.lang.String id,
                           int width,
                           int height,
                           Store store,
                           ColumnModel columnModel)

  Creates a new Editor Grid.

  Parameters:
    `id` - the Grid ID
    `width` - the Grid width
    `height` - the Grid height
    `store` - the Grid's data store
    `columnModel` - the Grids column model

Method Detail

### getConfigPrototype

    protected com.google.gwt.core.client.JavaScriptObject getConfigPrototype()

  Overrides:
    `getConfigPrototype` in class `GridPanel`

### getXType

    public java.lang.String getXType()

  Description copied from class: `Component`
  Gets the xtype for this component as registered with ComponentMgr. For a list of all available xtypes, see the Component javadocs.

       TextField field = new TextField();
       field.getXType() returns "textfield"

  Overrides:
    `getXType` in class `GridPanel`
  Returns:
    the xtype

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject configJS)

  Overrides:
    `create` in class `GridPanel`

### addEditorGridListener

    public void addEditorGridListener(EditorGridListener listener)

  Add an EditorGridPanel listener.

  Parameters:
    `listener` - the listener

### startEditing

    public void startEditing(int rowIndex,
                             int colIndex)

  Starts editing the specified for the specified row/column.

  Parameters:
    `rowIndex` - row to edit
    `colIndex` - column to edit

### stopEditing

    public void stopEditing()

  Stops any active editing.

### getCellSelectionModel

    public CellSelectionModel getCellSelectionModel()
                                             throws java.lang.IllegalStateException

  Returns the grid's cell selection model

  Returns:
    the cell selection model
  Throws:
    `java.lang.IllegalStateException` - if called before grid creation or before calling setSelectionModel(...)

### setClicksToEdit

    public void setClicksToEdit(int clicksToEdit)
                         throws java.lang.IllegalStateException

  The number of clicks on a cell required to display the cell's editor (defaults to 2).

  Parameters:
    `clicksToEdit` - the number of clicks to edit
  Throws:
    `java.lang.IllegalStateException` - this property cannot be changed after the Component has been rendered

### setAutoEncode

    public void setAutoEncode(boolean autoEncode)

  True to automatically HTML encode and decode values pre and post edit (defaults to false)

  Parameters:
    `autoEncode` - true to auto encode

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD